pcl::geometry::VertexIndex Class Reference
Module geometry

Index used to access elements in the half-edge mesh. More...

`#include <pcl/geometry/mesh_indices.h>`

Inheritance diagram for pcl::geometry::VertexIndex:

## Public Types

using | Base = boost::totally_ordered< pcl::geometry::VertexIndex, boost::unit_steppable< pcl::geometry::VertexIndex, boost::additive< pcl::geometry::VertexIndex > > >
using | Self = pcl::geometry::VertexIndex

## Public Member Functions

| VertexIndex ()
| Constructor. More...
| VertexIndex (const int index)
| Constructor. More...
bool | isValid () const
| Returns true if the index is valid. More...
void | invalidate ()
| Invalidate the index. More...
int | get () const
| Get the index. More...
void | set (const int index)
| Set the index. More...
bool | operator< (const Self &other) const
| Comparison operators (with boost::operators): < > <= >=. More...
bool | operator== (const Self &other) const
| Comparison operators (with boost::operators): == !=. More...
Self & | operator++ ()
| Increment operators (with boost::operators): ++ (pre and post) More...
Self & | operator-- ()
| Decrement operators (with boost::operators): -- (pre and post) More...
Self & | operator+= (const Self &other)
| Addition operators (with boost::operators): + +=. More...
Self & | operator-= (const Self &other)
| Subtraction operators (with boost::operators): - -=. More...

## Friends

std::istream & | operator>> (std::istream &is, pcl::geometry::VertexIndex &index)
| istream operator. More...

## Detailed Description

Index used to access elements in the half-edge mesh.

It is basically just a wrapper around an integer with a few added methods.

Author
  Martin Saelzle

Definition at line 61 of file mesh_indices.h.

## Member Typedef Documentation

## Base

using pcl::geometry::VertexIndex::Base = boost::totally_ordered <pcl::geometry::VertexIndex, boost::unit_steppable <pcl::geometry::VertexIndex, boost::additive <pcl::geometry::VertexIndex> > >

Definition at line 71 of file mesh_indices.h.

## Self

using pcl::geometry::VertexIndex::Self = pcl::geometry::VertexIndex

Definition at line 72 of file mesh_indices.h.

## Constructor & Destructor Documentation

## VertexIndex() [1/2]

pcl::geometry::VertexIndex::VertexIndex | ( |  | ) |

inline

Constructor.

Initializes with an invalid index.

Definition at line 75 of file mesh_indices.h.

## VertexIndex() [2/2]

pcl::geometry::VertexIndex::VertexIndex | ( | const int | index | ) |

inline explicit

Constructor.

Parameters

  [in] | index | The integer index.

Definition at line 83 of file mesh_indices.h.

## Member Function Documentation

## get()

int pcl::geometry::VertexIndex::get | ( |  | ) | const

inline

Get the index.

Definition at line 104 of file mesh_indices.h.

Referenced by pcl::geometry::MeshBase< QuadMesh< MeshTraitsT >, MeshTraitsT, QuadMeshTag >::getVertex(), operator+=(), operator-=(), operator<(), pcl::geometry::operator<<(), operator==(), and pcl::geometry::MeshBase< QuadMesh< MeshTraitsT >, MeshTraitsT, QuadMeshTag >::setVertex().

## invalidate()

void pcl::geometry::VertexIndex::invalidate | ( |  | ) |

inline

Invalidate the index.

Definition at line 97 of file mesh_indices.h.

Referenced by pcl::geometry::MeshBase< QuadMesh< MeshTraitsT >, MeshTraitsT, QuadMeshTag >::markDeleted().

## isValid()

bool pcl::geometry::VertexIndex::isValid | ( |  | ) | const

inline

Returns true if the index is valid.

Definition at line 90 of file mesh_indices.h.

## operator++()

Self& pcl::geometry::VertexIndex::operator++ | ( |  | ) |

inline

Increment operators (with boost::operators): ++ (pre and post)

Definition at line 132 of file mesh_indices.h.

## operator+=()

Self& pcl::geometry::VertexIndex::operator+= | ( | const Self & | other | ) |

inline

Addition operators (with boost::operators): + +=.

Definition at line 148 of file mesh_indices.h.

References get().

## operator--()

Self& pcl::geometry::VertexIndex::operator-- | ( |  | ) |

inline

Decrement operators (with boost::operators): -- (pre and post)

Definition at line 140 of file mesh_indices.h.

## operator-=()

Self& pcl::geometry::VertexIndex::operator-= | ( | const Self & | other | ) |

inline

Subtraction operators (with boost::operators): - -=.

Definition at line 156 of file mesh_indices.h.

References get().

## operator<()

bool pcl::geometry::VertexIndex::operator< | ( | const Self & | other | ) | const

inline

Comparison operators (with boost::operators): < > <= >=.

Definition at line 118 of file mesh_indices.h.

References get().

## operator==()

bool pcl::geometry::VertexIndex::operator== | ( | const Self & | other | ) | const

inline

Comparison operators (with boost::operators): == !=.

Definition at line 125 of file mesh_indices.h.

References get().

## set()

void pcl::geometry::VertexIndex::set | ( | const int | index | ) |

inline

Set the index.

Definition at line 111 of file mesh_indices.h.

## Friends And Related Function Documentation

## operator>>

std::istream& operator>> | ( | std::istream & | is,
|  | pcl::geometry::VertexIndex & | index
| ) |  |

friend

istream operator.

Definition at line 180 of file mesh_indices.h.

The documentation for this class was generated from the following file:

- pcl/geometry/mesh_indices.h